import os
import mod_utils
# Example for adding custom code to the controller
speaker_num = None
module = None

import time
import threading
from random import randint

import aiy.voice.tts 

# Servo setup
from gpiozero import Servo
mouthServo = Servo(26)


def talk():
    global talk
    while True:
        while talk:
            sleepTime = (randint(0, 2))/10
            mouthServo.min()
            time.sleep(sleepTime)
            mouthServo.mid()
            time.sleep(sleepTime)
        
        mouthServo.detach()

moveLidThread = threading.Thread(target=talk)
moveLidThread.start()

def setup(robot_config):
    global speaker_num
    global module
    
    speaker_num = robot_config.getint('tts', 'speaker_num')
    # Your custom setup code goes here
    
 
    # Load the appropriate tts module and call the default tts setup routine
    module = mod_utils.import_module('tts', robot_config.get('tts', 'type'))
    module.setup(robot_config)
       
def say(*args):
    message = args[0]

    # Your custom tts interpreter code goes here

    
    global talk
    talk = True
    # This code calls the default command interpreter function for your hardware.
    if len(args) == 1:
        module.say(message)
    else:
        module.say(message, args[1])

    talk = False

    mouthServo.detach()
